@mixin str-truncated($max-width: 82%) {
  display: inline-block;
  overflow: hidden;
  text-overflow: ellipsis;
  vertical-align: top;
  white-space: nowrap;
  max-width: $max-width;
}

/**
* Dropdown dimension (width/height) utilities
*
* naming convention: gl-dropdown-{w|h}-{size}
* notes:
* - Size is optional or one of narrow|wide
*/
@mixin gl-dropdown-width {
  width: px-to-rem(240px);
}

@mixin gl-dropdown-width-narrow {
  width: px-to-rem(160px);
}

@mixin gl-dropdown-width-wide {
  width: px-to-rem(400px);
}

@mixin gl-dropdown-max-height {
  max-height: px-to-rem(312px);
}

@mixin gl-dropdown-header-padding {
  padding: $gl-spacing-scale-3 $gl-spacing-scale-4;
}
